| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_CSessionDocumentClient Class Reference

`#include <AAX_CSessionDocumentClient.h>`

Inheritance diagram for AAX_CSessionDocumentClient:
[legend]
Collaboration diagram for AAX_CSessionDocumentClient:
[legend]

## Description

Default implementation of the AAX_ISessionDocumentClient interface.

## Public Member Functions
| AAX_CSessionDocumentClient (void)
| ~AAX_CSessionDocumentClient (void) AAX_OVERRIDE
Initialization and uninitialization
AAX_Result | Initialize (IACFUnknown *iUnknown) AAX_OVERRIDE
AAX_Result | Uninitialize (void) AAX_OVERRIDE
Session document access
AAX_Result | SetSessionDocument (IACFUnknown *iSessionDocument) AAX_OVERRIDE
AAX host and plug-in event notification
AAX_Result | NotificationReceived (AAX_CTypeID, const void *, uint32_t) AAX_OVERRIDE
Public Member Functions inherited from AAX_ISessionDocumentClient
| ACF_DECLARE_STANDARD_UNKNOWN () ACFMETHOD(InternalQueryInterface)(const acfIID &riid
| AAX_DELETE (AAX_ISessionDocumentClient &operator=(const AAX_ISessionDocumentClient &))
Initialization and uninitialization
Session document access
AAX host and plug-in event notification
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Protected Member Functions
Session document change notifications
virtual AAX_Result | SessionDocumentWillChange ()
| The session document interface is about to be added, replaced, or removed.
virtual AAX_Result | SessionDocumentChanged ()
| The session document interface has been added, replaced, or removed.

## Private member accessors
AAX_IController * | GetController (void)
| Retrieves a reference to the plug-in's controller interface.
const AAX_IController * | GetController (void) const
| Retrieves a reference to the plug-in's controller interface.
AAX_IEffectParameters * | GetEffectParameters (void)
| Retrieves a reference to the plug-in's data model interface.
const AAX_IEffectParameters * | GetEffectParameters (void) const
| Retrieves a reference to the plug-in's data model interface.
std::shared_ptr< AAX_ISessionDocument > | GetSessionDocument (void)
| Retrieves a reference to the session document interface.
std::shared_ptr< const AAX_ISessionDocument > | GetSessionDocument (void) const
| Retrieves a reference to the session document interface.

## Additional Inherited Members
Public Attributes inherited from AAX_ISessionDocumentClient
void **ppvObjOut | override

## Constructor & Destructor Documentation

## ◆ AAX_CSessionDocumentClient()

AAX_CSessionDocumentClient::AAX_CSessionDocumentClient | ( | void |  | ) |

## ◆ ~AAX_CSessionDocumentClient()

AAX_CSessionDocumentClient::~AAX_CSessionDocumentClient | ( | void |  | ) |

## Member Function Documentation

## ◆ Initialize()

AAX_Result AAX_CSessionDocumentClient::Initialize | ( | IACFUnknown * | iUnknown | ) |
| virtual

Implements AAX_IACFSessionDocumentClient.

## ◆ Uninitialize()

AAX_Result AAX_CSessionDocumentClient::Uninitialize | ( | void |  | ) |
| virtual

Implements AAX_IACFSessionDocumentClient.

## ◆ SetSessionDocument()

AAX_Result AAX_CSessionDocumentClient::SetSessionDocument | ( | IACFUnknown * | iSessionDocument | ) |
| virtual

Sets or removes a session document.

Parameters

  [in] | iSessionDocument | Interface supporting at least AAX_IACFSessionDocument, or `nullptr` to indicate that any session document that is currently held should be released.

Implements AAX_IACFSessionDocumentClient.

## ◆ NotificationReceived()

AAX_Result AAX_CSessionDocumentClient::NotificationReceived | ( | AAX_CTypeID | ,
|  | const void * | ,
|  | uint32_t |
| ) |  |
| inline virtual

Notification Hook.

Called from the host to deliver notifications to this object.

Look at the AAX_ENotificationEvent enumeration to see a description of events you can listen for and the data they come with.

- Note
    Different notifications are sent to different objects within a plug-in. If you are not seeing an expected notification, try checking the other plug-in objects' `NotificationReceived()` methods.
- Note
    the host may dispatch notifications synchronously or asynchronously, and calls to this method may occur concurrently on multiple threads.
  A plug-in may also dispatch custom notifications using AAX_IController::SendNotification(). Custom notifications will be posted back to the plug-in's other objects which support a `NotificationReceived()` method (e.g. the data model).

Parameters

  [in] | inNotificationType | Type of notification being received. Notifications form the host are one of AAX_ENotificationEvent
  [in] | inNotificationData | Block of incoming notification data
  [in] | inNotificationDataSize | Size of `inNotificationData`, in bytes

Implements AAX_IACFSessionDocumentClient.

References AAX_SUCCESS.

## ◆ SessionDocumentWillChange()

virtual AAX_Result AAX_CSessionDocumentClient::SessionDocumentWillChange | ( |  | ) |
| inline protected virtual

The session document interface is about to be added, replaced, or removed.

Custom implementations should stop using the current session document interface, which is about to become invalid.

References AAX_SUCCESS.

## ◆ SessionDocumentChanged()

virtual AAX_Result AAX_CSessionDocumentClient::SessionDocumentChanged | ( |  | ) |
| inline protected virtual

The session document interface has been added, replaced, or removed.

Custom implementations should update local references to the session document interface.

References AAX_SUCCESS.

## ◆ GetController() [1/2]

AAX_IController * AAX_CSessionDocumentClient::GetController | ( | void |  | ) |
| protected

Retrieves a reference to the plug-in's controller interface.

## ◆ GetController() [2/2]

const AAX_IController * AAX_CSessionDocumentClient::GetController | ( | void |  | ) | const
| protected

Retrieves a reference to the plug-in's controller interface.

## ◆ GetEffectParameters() [1/2]

AAX_IEffectParameters * AAX_CSessionDocumentClient::GetEffectParameters | ( | void |  | ) |
| protected

Retrieves a reference to the plug-in's data model interface.

## ◆ GetEffectParameters() [2/2]

const AAX_IEffectParameters * AAX_CSessionDocumentClient::GetEffectParameters | ( | void |  | ) | const
| protected

Retrieves a reference to the plug-in's data model interface.

## ◆ GetSessionDocument() [1/2]

std::shared_ptr< AAX_ISessionDocument > AAX_CSessionDocumentClient::GetSessionDocument | ( | void |  | ) |
| protected

Retrieves a reference to the session document interface.

## ◆ GetSessionDocument() [2/2]

std::shared_ptr< const AAX_ISessionDocument > AAX_CSessionDocumentClient::GetSessionDocument | ( | void |  | ) | const
| protected

Retrieves a reference to the session document interface.

The documentation for this class was generated from the following file:

- AAX_CSessionDocumentClient.h